Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://dash.empirical.run/api/test-runs/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "test_run": { "project": { "id": 123, "name": "My App", "repo_name": "my-app-tests" }, "testRun": { "id": 456, "state": "ended", "total_count": 50, "success_count": 48, "failed_count": 2, "skipped_count": 0, "flaky_count": 1, "duration": 120000, "test_run_branch": "main", "environment_slug": "production", "run_started_at": "2024-01-15T10:30:00.000Z", "run_ended_at": "2024-01-15T10:32:00.000Z" }, "flattenedSummaryDetails": [...] } } }
Retrieve details of a specific test run
curl -X GET \ "https://dash.empirical.run/api/test-runs/456" \ -H "Authorization: Bearer $EMPIRICALRUN_KEY"
Project API key from the Empirical dashboard.
Test run ID.
-9007199254740991 <= x <= 9007199254740991
Test run details.
Show child attributes
Was this page helpful?